### Method

# Adw EntryRowset_show_apply_button

since: 1.2

#### Declaration [src]

    void
    adw_entry_row_set_show_apply_button (
      AdwEntryRow* self,
      gboolean show_apply_button
    )

#### Description [src]

Sets whether `self` can show the apply button.

When set to `TRUE`, typing text in the entry will reveal an apply button. Clicking it or pressing the `Enter` key will hide the button and emit the `AdwEntryRow::apply` signal.

This is useful if changing the entry contents can trigger an expensive operation, e.g. network activity, to avoid triggering it after typing every character.

Available since: 1.2

Sets property | `Adw.EntryRow:show-apply-button`

#### Parameters

`show_apply_button`

  Type: `gboolean`

  Whether to show the apply button.